loci.formats.in

## Class ZeissLSMReader.SubBlock

- java.lang.Object
- - loci.formats.in.ZeissLSMReader.SubBlock

- Direct Known Subclasses:
    ZeissLSMReader.BeamSplitter, ZeissLSMReader.DataChannel, ZeissLSMReader.DetectionChannel, ZeissLSMReader.IlluminationChannel, ZeissLSMReader.Laser, ZeissLSMReader.Marker, ZeissLSMReader.Recording, ZeissLSMReader.Timer, ZeissLSMReader.Track
  Enclosing class:
    ZeissLSMReader

      class ZeissLSMReader.SubBlock
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `acquire`
    `java.util.Map<java.lang.Integer,java.lang.Object>` | `blockData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubBlock()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToHashtable()`
    `protected double` | `getDoubleValue(int key)`
    `protected float` | `getFloatValue(int key)`
    `protected int` | `getIntValue(int key)`
    `protected java.lang.String` | `getStringValue(int key)`
    `protected void` | `read()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### blockData

          public java.util.Map<java.lang.Integer,java.lang.Object> blockData

    - #### acquire

          public boolean acquire

  - ### Constructor Detail

    - #### SubBlock

          public SubBlock()

  - ### Method Detail

    - #### getIntValue

          protected int getIntValue(int key)

    - #### getFloatValue

          protected float getFloatValue(int key)

    - #### getDoubleValue

          protected double getDoubleValue(int key)

    - #### getStringValue

          protected java.lang.String getStringValue(int key)

    - #### read

          protected void read()
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### addToHashtable

          public void addToHashtable()

Copyright © 2026 Open Microscopy Environment